mod links;
mod pastes;

use axum::Router;
use serde::Deserialize;

use super::SharedState;

pub fn router() -> Router<SharedState> {
    Router::new()
        .merge(links::resource())
        .merge(pastes::resource())
}

#[derive(Deserialize)]
struct Pagination {
    #[serde(default)]
    limit: Option<i64>,
    #[serde(default)]
    offset: i64,
}
