mod pastes;

use axum::{routing::get, Router};
use maud::{html, Markup};

use super::{page, Breadcrumb, BC_INDEX};
use crate::app::SharedState;

pub(super) fn router() -> Router<SharedState> {
    Router::new()
        .route("/", get(show_admin_page()))
        .nest("/pastes", pastes::router())
}

const BC_ADMIN: Breadcrumb = Breadcrumb::new_static("Admin", "/admin");

fn show_admin_page() -> Markup {
    page(
        "Admin",
        &[BC_INDEX],
        html! {
            "meow :3"
            p { a.tl href="/admin/pastes" { "Pastes" } }
            p { a.tl href="/admin/pastes/new" { "Create Paste" } }
        },
    )
}
